Amit Choraria
Amit Choraria
  • Видео 76
  • Просмотров 8 885

Видео

3425. Longest Special Path | Leetcode | Biweekly Contest - 148
Просмотров 12819 часов назад
Problem: leetcode.com/problems/longest-special-path/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3425-longest-special-path/3425-longest-special-path.cpp
3420. Count Non-Decreasing Subarrays After K Operations | Weekly Contest - 432 | Leetcode
Просмотров 88014 дней назад
3420. Count Non-Decreasing Subarrays After K Operations | Weekly Contest - 432 | Leetcode
Weekly Contest - 432 | 3417, 3418 and 3419 | Leetcode
Просмотров 2614 дней назад
Weekly Contest - 432 | 3417, 3418 and 3419 | Leetcode
Biweekly Contest 147 | 3407 and 3408 | Leetcode
Просмотров 9121 день назад
3407. Substring Matching Pattern: leetcode.com/problems/substring-matching-pattern/description/; Solution: github.com/jainamit130/Leetcode/blob/main/3407-substring-matching-pattern/3407-substring-matching-pattern.cpp 3408. Design Task Manager: leetcode.com/problems/design-task-manager/description/; Solution: 3408. Substring Matching Pattern: leetcode.com/problems/substring-matching-pattern/desc...
Weekly Contest 430 | 3402, 3403, 3404 and 3405 | Leetcode
Просмотров 20828 дней назад
3402. Minimum Operations to Make Columns Strictly Increasing : leetcode.com/problems/minimum-operations-to-make-columns-strictly-increasing/description/ Solution 3402: github.com/jainamit130/Leetcode/blob/main/3402-minimum-operations-to-make-columns-strictly-increasing/3402-minimum-operations-to-make-columns-strictly-increasing.cpp 3403. Find the Lexicographically Largest String From the Box I:...
Weekly Contest 429 | 3396, 3397, 3398 and 3399 | Leetcode
Просмотров 129Месяц назад
3396. Minimum Number of Operations to Make Elements in Array Distinct: leetcode.com/problems/minimum-number-of-operations-to-make-elements-in-array-distinct/description/ Solution 3396: github.com/jainamit130/Leetcode/blob/main/3396-minimum-number-of-operations-to-make-elements-in-array-distinct/3396-minimum-number-of-operations-to-make-elements-in-array-distinct.cpp 3397. Maximum Number of Dist...
Biweekly Contest 146 | First 3 Problems - 3392, 3393 & 3394 | Leetcode
Просмотров 95Месяц назад
3392. Count Subarrays of Length Three With a Condition: leetcode.com/problems/count-subarrays-of-length-three-with-a-condition/description/ Solution 3392: github.com/jainamit130/Leetcode/blob/main/3392-count-subarrays-of-length-three-with-a-condition/3392-count-subarrays-of-length-three-with-a-condition.cpp 3393. Count Paths With the Given XOR Value: leetcode.com/problems/count-paths-with-the-g...
3389. Minimum Operations to Make Character Frequencies Equal | Weekly Contest 428 | Leetcode
Просмотров 137Месяц назад
Problem: leetcode.com/problems/minimum-operations-to-make-character-frequencies-equal/description/ Solution: github.com/jainamit130/Leetcode/blob/main/3389-minimum-operations-to-make-character-frequencies-equal/3389-minimum-operations-to-make-character-frequencies-equal.cpp
3373. Maximize the Number of Target Nodes After Connecting Trees II | Weekly Contest 426 | Leetcode
Просмотров 49Месяц назад
3373. Maximize the Number of Target Nodes After Connecting Trees II : leetcode.com/problems/maximize-the-number-of-target-nodes-after-connecting-trees-ii/description/ Solution 3373: github.com/jainamit130/Leetcode/blob/main/3373-maximize-the-number-of-target-nodes-after-connecting-trees-ii/3373-maximize-the-number-of-target-nodes-after-connecting-trees-ii.cpp
Weekly Contest 426 | First 3 Problems - 3370, 3371 & 3372 | Leetcode
Просмотров 35Месяц назад
3370. Smallest Number With All Set Bits: leetcode.com/problems/smallest-number-with-all-set-bits/description/ Solution 3370: github.com/jainamit130/Leetcode/blob/main/3370-smallest-number-with-all-set-bits/3370-smallest-number-with-all-set-bits.cpp 3371. Rearrange K Substrings to Form Target String : leetcode.com/problems/identify-the-largest-outlier-in-an-array/description/ Solution 3371: gith...
3363. Find the Maximum Number of Fruits Collected | Biweekly Contest 144 | Leetcode
Просмотров 352 месяца назад
3363. Find the Maximum Number of Fruits Collected : leetcode.com/problems/find-the-maximum-number-of-fruits-collected/ Solution 3363: github.com/jainamit130/Leetcode/blob/main/3363-find-the-maximum-number-of-fruits-collected/3363-find-the-maximum-number-of-fruits-collected.cpp
3367. Maximize Sum of Weights after Edge Removals | Weekly Contest 425 | Leetcode
Просмотров 1412 месяца назад
3367 Maximize Sum of Weights after Edge Removals : leetcode.com/problems/maximize-sum-of-weights-after-edge-removals/description/ Solution 3367: github.com/jainamit130/Leetcode/blob/main/3367-maximize-sum-of-weights-after-edge-removals/3367-maximize-sum-of-weights-after-edge-removals.cpp
Weekly Contest 425 | First 3 Problems - 3364, 3365 & 3366 | Leetcode
Просмотров 1602 месяца назад
3364. Minimum Positive Sum Subarray : leetcode.com/problems/minimum-positive-sum-subarray/description/ Solution 3364: github.com/jainamit130/Leetcode/blob/main/3364-minimum-positive-sum-subarray/3364-minimum-positive-sum-subarray.cpp 3365. Rearrange K Substrings to Form Target String : leetcode.com/problems/rearrange-k-substrings-to-form-target-string/description/ Solution 3365: github.com/jain...
Biweekly Contest 144 | First 3 Problems - 3360, 3361 & 3362 | Leetcode
Просмотров 1042 месяца назад
3360. Stone Removal Game : leetcode.com/problems/stone-removal-game/description/ Solution 3360: github.com/jainamit130/Leetcode/blob/main/3360-stone-removal-game/3360-stone-removal-game.cpp 3361. Shift Distance Between Two Strings : leetcode.com/problems/shift-distance-between-two-strings/description/ Solution 3361: github.com/jainamit130/Leetcode/blob/main/3361-shift-distance-between-two-strin...
Weekly Contest 424 | First 3 Problems - 3354, 3355 & 3356 | Leetcode
Просмотров 1952 месяца назад
Weekly Contest 424 | First 3 Problems - 3354, 3355 & 3356 | Leetcode
Weekly Contest 423 | 3349, 3350, 3351 & 3352 | Leetcode
Просмотров 382 месяца назад
Weekly Contest 423 | 3349, 3350, 3351 & 3352 | Leetcode
Biweekly Contest 143 | First 3 Problems- 3345, 3346 & 3347 | Leetcode
Просмотров 422 месяца назад
Biweekly Contest 143 | First 3 Problems- 3345, 3346 & 3347 | Leetcode
3343. Count Number of Balanced Permutations | Leetcode | Weekly Contest 422
Просмотров 2532 месяца назад
3343. Count Number of Balanced Permutations | Leetcode | Weekly Contest 422
Weekly Contest - 422 | First 3 Problems- 3340, 3341 & 3342 | Leetcode
Просмотров 782 месяца назад
Weekly Contest - 422 | First 3 Problems- 3340, 3341 & 3342 | Leetcode
Biweekly Contest - 142 | First 3 Problems- 3330, 3331 & 3332 | Leetcode
Просмотров 1192 месяца назад
Biweekly Contest - 142 | First 3 Problems- 3330, 3331 & 3332 | Leetcode
3321. Find X-Sum of All K-Long Subarrays II | Leetcode | Weekly Contest 419
Просмотров 543 месяца назад
3321. Find X-Sum of All K-Long Subarrays II | Leetcode | Weekly Contest 419
3320. Count The Number of Winning Sequences | Leetcode | Weekly Contest 419
Просмотров 253 месяца назад
3320. Count The Number of Winning Sequences | Leetcode | Weekly Contest 419
Find XSum of All K-Long Subarrays I | K-th Largest Perfect Subtree Size in Binary Tree | Contest 419
Просмотров 863 месяца назад
Find XSum of All K-Long Subarrays I | K-th Largest Perfect Subtree Size in Binary Tree | Contest 419
Biweekly Contest | First 3 Problems- 3314, 3315 & 3316 | Leetcode
Просмотров 1513 месяца назад
Biweekly Contest | First 3 Problems- 3314, 3315 & 3316 | Leetcode
3312. Sorted GCD Pair Queries | Leetcode | Weekly Contest 418
Просмотров 1093 месяца назад
3312. Sorted GCD Pair Queries | Leetcode | Weekly Contest 418
3306. Count of Substrings Containing Every Vowel and K Consonants II | Binary Search | Leetcode
Просмотров 843 месяца назад
3306. Count of Substrings Containing Every Vowel and K Consonants II | Binary Search | Leetcode
Biweekly Contest 140 | 3300, 3301 & 3302 | First 3 Problems | Leetcode
Просмотров 1043 месяца назад
Biweekly Contest 140 | 3300, 3301 & 3302 | First 3 Problems | Leetcode
Count Substrings That Can Be Rearranged to Contain a String I & II (2 Approaches)-Weekly Contest 416
Просмотров 1244 месяца назад
Count Substrings That Can Be Rearranged to Contain a String I & II (2 Approaches)-Weekly Contest 416
3295 & 3296- Minimum Number of Seconds to Make Mountain Height Zero (2 Approach)- Weekly Contest 416
Просмотров 1174 месяца назад
3295 & 3296- Minimum Number of Seconds to Make Mountain Height Zero (2 Approach)- Weekly Contest 416

Комментарии

  • @vakatufnile988
    @vakatufnile988 Час назад

    😅

  • @jinyang4796
    @jinyang4796 День назад

    Thank you for the clear explanation! The example walk-through is very helpful, and I was able to write my own solution after watching that part.

  • @HarshSingh-no8ye
    @HarshSingh-no8ye 10 дней назад

    Thanks man! Just had a question that why is traversal from back of the array and why not from the start of the array plzz would be great if anyone can explain that !!!

  • @utkarshsoni1745
    @utkarshsoni1745 12 дней назад

    bro please use good mic, your exolanations are insane and good. People want to study from you but unable to understand due to cracky voice. Use good mic.

  • @shivyanshgarg2641
    @shivyanshgarg2641 12 дней назад

    Very well Explained, I had the same intuition and approach but was facing difficulty in implementation, after watching till 14:40, I was able to implement it on my own. Thanks

  • @MobeenParwaiz
    @MobeenParwaiz 13 дней назад

    Thanks!!

  • @SatyamKumar-m4z4s
    @SatyamKumar-m4z4s 13 дней назад

    can you please also start discussing codeforces contest solutions, specially the harder problems?

  • @SatyamKumar-m4z4s
    @SatyamKumar-m4z4s 13 дней назад

    very niiice explaination.

  • @karanshaw9323
    @karanshaw9323 14 дней назад

    thanks for solution of 3418 ...kahi pe bhi aisa solution nhi mila jo smjh aaye ...aapka solution was what i was thinking too ...

  • @krrishagarwal8479
    @krrishagarwal8479 14 дней назад

    thank you sir but why did you reverse or did a reverse traversal is what i could not understand .... indeed this was a difficult question and it was difficult to think of its brute approach as well at first glance

    • @StoriesFromWeb13
      @StoriesFromWeb13 13 дней назад

      coz in case of non decreasing let's say we have a subarray 6,3,8,1 in that case we have to maintain a state or priority queue to ensure the maximum till current element which does not arises in case of non-increasing as the first element would be greatest or equal to all elements.

  • @anmolagrawal7869
    @anmolagrawal7869 14 дней назад

    Very clear and concise explanation, thanks for the tutorial.

  • @susantamandal2782
    @susantamandal2782 14 дней назад

    Very good and detailed explanation, thank you for sharing. I also found few solutions with DP and Binary Search. Did you try that approach as well? Thanks again.

  • @nagasudhakarramisetty1924
    @nagasudhakarramisetty1924 15 дней назад

    Good explanation. Thanks for sharing

  • @bansalislive9343
    @bansalislive9343 19 дней назад

    Very good explanation bro Keep growing ❤

  • @utkarshsoni1745
    @utkarshsoni1745 22 дня назад

    your soln are better than most of other but use better mic... what we can do if we have a good soln but cannot understand it and you also are putting effort in making video. use better mic brother

  • @khoilin0
    @khoilin0 Месяц назад

    Super helpful!

  • @adarshkumargupta.
    @adarshkumargupta. 2 месяца назад

    sound is not clear.

  • @sumitkumar-bb7kv
    @sumitkumar-bb7kv 2 месяца назад

    keep making videos dear

  • @mayankshakya9200
    @mayankshakya9200 2 месяца назад

    Bhiaya i found your vdo quite helpful can you tell if there is any way where i can contact you i want to improve on dsa? Like telegram or insta?

  • @Abhay14
    @Abhay14 3 месяца назад

    thanks bhai

  • @ITACH1688
    @ITACH1688 3 месяца назад

    Thanks a lot sir... btw i am unable to solve DP ques how to improve it?

    • @amitchoraria5737
      @amitchoraria5737 3 месяца назад

      @@ITACH1688 I used to solve more recursive problems before i got to dp, then i started solving more dp using top down approaches and then made way towards bottom up approaches. There is no secret to it. Just keep practicing and you will get there.

    • @ITACH1688
      @ITACH1688 3 месяца назад

      @@amitchoraria5737 Thanks ❤️

  • @saranshthukral4021
    @saranshthukral4021 4 месяца назад

    keep posting bhaiya

  • @tanishgotti3659
    @tanishgotti3659 4 месяца назад

    Brilliant.

  • @shubhambhatt6913
    @shubhambhatt6913 4 месяца назад

    good efforts, although you have a good potential but try to be more clear while delivering as you seem to be confuse sometimes

    • @amitchoraria5737
      @amitchoraria5737 4 месяца назад

      @@shubhambhatt6913 Agreed and Noted. Thanks

  • @gauravpunia4527
    @gauravpunia4527 4 месяца назад

    bhut ache bhai

  • @sravanssankar2505
    @sravanssankar2505 4 месяца назад

    In this piece of code if(mp.find(0)!=mp.end() && mp[0]>0){ mp[0]--; ans-=permutations(mp,n-1); } You are subtracting zero count by 1 by fixing zero at start.But what if the number is 5005 and a possible arrangement is 0055.Here there are 2 leading zeroes.So how code will work?

    • @amitchoraria5737
      @amitchoraria5737 4 месяца назад

      Awesome point raised!! Here, Since we don’t want any "Permutation" starting with a 0. Hence, the code Permutations(mp,n-1); => (with one less count of 0 in map) Will give all the permutations starting with 0. So, in the example you mentioned it will give, 3 permutations that are 0505 0550 0055 The permutation 0055 will also be removed from the total permutations. Only 3 valid ones would remain that are: 5005 5050 5500 So, we are not just fixing zero at the start but we are finding all the permutations with the 0 as the start. Hope, this clears.

  • @ashish3487
    @ashish3487 4 месяца назад

    nice explanation man! i hope you will upload other more optimal solution for this ques

  • @anonymous10906
    @anonymous10906 4 месяца назад

    nice man!

  • @rajneeshkabdwal6053
    @rajneeshkabdwal6053 4 месяца назад

    simple and nice

  • @shresthDTU
    @shresthDTU 4 месяца назад

    nice

  • @ITACH1688
    @ITACH1688 5 месяцев назад

    Bhaiya kisi ka samajh nhi aaya tha but aapka 3rd ques aa gya samajh thank You

  • @kartavyaarya1763
    @kartavyaarya1763 5 месяцев назад

    Greta explantion bro.. also upload video for Maximum Value Sum by Placing Three Rooks II🎯🎯

    • @amitchoraria5737
      @amitchoraria5737 5 месяцев назад

      Thanks….have uploaded the second part as well: ruclips.net/video/2O9qvoquPVQ/видео.htmlsi=qnxNzf11lGM4uLGo

  • @asmirkhan4035
    @asmirkhan4035 5 месяцев назад

    bro, Great explanation ! each and every thing is crystal clear, Hoping you will continue this excellent work 💯

  • @NoobSaibot-l5m
    @NoobSaibot-l5m 5 месяцев назад

    nice video

  • @gunashekhargunupuru4990
    @gunashekhargunupuru4990 6 месяцев назад

    3rd one i am wondering how u think that logic great work bro

  • @kalyanghosh07
    @kalyanghosh07 6 месяцев назад

    Please explain the algo in whiteboard with dry run

  • @kalyanghosh07
    @kalyanghosh07 6 месяцев назад

    1080 not available why?

  • @tonstudios
    @tonstudios 3 года назад

    I like the shading and the output! Something you can use as an icon of a burger company! Missing burgers now. I’m supporting you ❤️